Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Thu 24 May 2018, 21:32
All times are UTC - 4
 Forum index » Advanced Topics » Additional Software (PETs, n' stuff) » Unsorted
Audacity 1.37 Beta - sound recorder / editor
Moderators: deshlab, Flash, GuestToo, Ian, JohnMurga, Lobster
Post new topic   Reply to topic View previous topic :: View next topic
Page 1 of 5 [61 Posts]   Goto page: 1, 2, 3, 4, 5 Next
Author Message
aragon

Joined: 15 Oct 2007
Posts: 1698
Location: Germany

PostPosted: Thu 18 Jun 2009, 13:05    Post subject:  Audacity 1.37 Beta - sound recorder / editor  

Home: http://audacity.sourceforge.net
Version: 1.37b

Quote:
Audacity® is free, open source software for recording and editing sounds.


This is the actual audacity-beta compiled and packaged in 4.21. It is statically compiled against wxGTK. All necessary libs (jack, twolame, vamp, soundtouch...) are included in the sfs, so it should even run on a barebone-system.

Download: http://puppylinux.ca/tpp/aragon/ (size ~ 9 MB)

sfs-usage (from: http://www.puppylinux.com/development/package-management.htm):
Quote:
Download any SFS file to /mnt/home (the same place as your "pup_save" personal storage file), run the BootManager (in the System menu) to select or deselect what SFS files you want to use, reboot Puppy and its ready to go.


aragon

_________________
PUPPY SEARCH: http://wellminded.com/puppy/pupsearch.html
Back to top
View user's profile Send private message 
mikeb


Joined: 23 Nov 2006
Posts: 11124

PostPosted: Thu 18 Jun 2009, 20:19    Post subject:  

Cheers... actually had just the binary alone running as I seemed to already have added all the dependancies Smile ..using puppy 4.12

regards

mike
Back to top
View user's profile Send private message 
mikeb


Joined: 23 Nov 2006
Posts: 11124

PostPosted: Thu 18 Jun 2009, 22:38    Post subject:  

Ok I don't know how you did it but this compilation boldly goes where other wxwidget based applications fear to tread....running in puppy 2.12 AND 2.02
This relieves one big headache...one is most grateful Smile

mike
Back to top
View user's profile Send private message 
aragon

Joined: 15 Oct 2007
Posts: 1698
Location: Germany

PostPosted: Fri 19 Jun 2009, 03:50    Post subject:  

hi mike,

i read some post of different apps needing different compilations of wxWidgets. As Audacity has the option to compile statically against wx, i decided that this is one of the few situations, where a static compile is useful. The result is a much larger app, but without compatibility-problems.

aragon

_________________
PUPPY SEARCH: http://wellminded.com/puppy/pupsearch.html
Back to top
View user's profile Send private message 
mikeb


Joined: 23 Nov 2006
Posts: 11124

PostPosted: Fri 19 Jun 2009, 18:14    Post subject:  

Just to let you know audacity looks for libFLAC++.so.6 so I symlinked to the included libFLAC.so.8 which seemed to work ok.

I seem to be suffering from an audacity bug whereby I can only record at 48000, 44100 only records about half a second...from their forum it appears to be a commonly suffered bug.(since version 1.3.4...not a compilation problem but thought I'd mention it...hard to tell if this bug is acknowledged and will get fixed in a later version.
One post mentions a ubuntu portaudio patch..not sure if that helpful. Otherwise only workarounds.

regards
mike
Back to top
View user's profile Send private message 
hanzf


Joined: 11 Mar 2009
Posts: 161
Location: Belzig, Germany

PostPosted: Wed 01 Jul 2009, 12:38    Post subject:  

Thank you aragon!
I gave it a try, having problems with audacity 1.3.2 that crashes. So I installes the 1.3.7 sfs. I renamed it to Version 412. (I read here mikeb also has 4.12) (Although I think a 1.2.x Version would be more likely to help me but I don't know to get the old wxwidgets version to work).
When I now start audacity it says it can't open shared library "libsamplerate.so.0" although there is such a file in /usr/lib.
Does it have to be somewhere else?

Thanks
Back to top
View user's profile Send private message 
aragon

Joined: 15 Oct 2007
Posts: 1698
Location: Germany

PostPosted: Thu 02 Jul 2009, 15:33    Post subject:  

hi hanzf,

i'm on a business-trip, so can't examine it.

i've somewhere read that symlinks might not work in packages so try this workaround:

1. look, where the symlink points to
2. delete the symlink
3. create an new symlink to this file with the name of the old symlink
4. start audacity again and check if the failure still exists

aragon

_________________
PUPPY SEARCH: http://wellminded.com/puppy/pupsearch.html
Back to top
View user's profile Send private message 
hanzf


Joined: 11 Mar 2009
Posts: 161
Location: Belzig, Germany

PostPosted: Thu 02 Jul 2009, 18:39    Post subject:  

Thank you aragon. I had already posted when I noticed it was a broken link. I made a new link and it works.
I had problems with audacity 1.3.2 that had been running good in the beginning but suddenly took the habit to crash on every playback.
In the audacity forum they said this was a bug in a library named "portaudio v19" and they fixed it in 1.3.7.
Back to top
View user's profile Send private message 
sketchman


Joined: 01 Jun 2006
Posts: 292
Location: West Virginia, USA

PostPosted: Thu 09 Jul 2009, 16:56    Post subject:  

Link doesn't work for me.
_________________
"In a world that exists without walls and fences, who needs Windows and Gates?"
Back to top
View user's profile Send private message 
sketchman


Joined: 01 Jun 2006
Posts: 292
Location: West Virginia, USA

PostPosted: Thu 09 Jul 2009, 22:22    Post subject:  

Working now.
_________________
"In a world that exists without walls and fences, who needs Windows and Gates?"
Back to top
View user's profile Send private message 
hellstudios

Joined: 10 Jul 2009
Posts: 2

PostPosted: Sun 12 Jul 2009, 06:06    Post subject:  

ok... uh... so basically i am new to puppy linux.... well.... linux in general... i know how to get around in the directories and i know a few terminal commands.... but in general I don't really know how to install a program other than using a .pet package.... any chance someone can step me through installing this program? I have normal intelligence.... so just the jist of it will be good. Very Happy


sorry for the bump and off topicness.... }Neutral this is my first post and I hope I will be forgiven... and if im not then Evil or Very Mad
Back to top
View user's profile Send private message 
mikeb


Joined: 23 Nov 2006
Posts: 11124

PostPosted: Sun 12 Jul 2009, 11:06    Post subject:  

Quote:
Download any SFS file to /mnt/home (the same place as your "pup_save" personal storage file), run the BootManager (in the System menu) to select or deselect what SFS files you want to use, reboot Puppy and its ready to go.

just about sums it up..the files get added at boot...remove it and they are gone...it's a method often used for bigger programs

mike
Back to top
View user's profile Send private message 
hellstudios

Joined: 10 Jul 2009
Posts: 2

PostPosted: Sun 12 Jul 2009, 19:28    Post subject:  

Thanks dude. Smile
Back to top
View user's profile Send private message 
edoc


Joined: 07 Aug 2005
Posts: 4722
Location: Southeast Georgia, USA

PostPosted: Thu 03 Sep 2009, 12:38    Post subject: Re: Audacity 1.37 Beta  

aragon wrote:

sfs-usage (from: http://www.puppylinux.com/development/package-management.htm):
Quote:
Download any SFS file to /mnt/home (the same place as your "pup_save" personal storage file), run the BootManager (in the System menu) to select or deselect what SFS files you want to use, reboot Puppy and its ready to go.

aragon


I have my pup_save SFS in /puppy112 and BootManager is complaining that it cannot see the Audacity SFS there.

BTW: Puppy Fatdog 112 is loaded on the computer in question.

Help?

_________________
Thanks! David
Home page: http://nevils-station.com
Don't google Search! http://duckduckgo.com
TahrPup64 & Lighthouse64-b602 & JL64-603
Back to top
View user's profile Send private message Visit poster's website 
aragon

Joined: 15 Oct 2007
Posts: 1698
Location: Germany

PostPosted: Thu 03 Sep 2009, 13:28    Post subject:  

edoc,

you'll have to place it in the root of /mnt/home not in the subdir.

aragon

_________________
PUPPY SEARCH: http://wellminded.com/puppy/pupsearch.html
Back to top
View user's profile Send private message 
Display posts from previous:   Sort by:   
Page 1 of 5 [61 Posts]   Goto page: 1, 2, 3, 4, 5 Next
Post new topic   Reply to topic View previous topic :: View next topic
 Forum index » Advanced Topics » Additional Software (PETs, n' stuff) » Unsorted
Jump to:  

You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.1110s ][ Queries: 13 (0.0162s) ][ GZIP on ]